<script src="https://balkan.app/js/OrgChart.js"></script>

    <div class='container-fluid'>
    
        <style id = "myStyles">
        /*partial*/
    [lcn='hr-team']>rect {
        fill: #FFCA28;
    }
    
    [lcn='sales-team']>rect {
        fill: #F57C00;
    }
    
    [lcn='top-management']>rect {
        fill: #f2f2f2;
    }
    
    [lcn='top-management']>text,
    .assistant>text {
        fill: #aeaeae;
    }
    
    [lcn='top-management'] circle,
    [lcn='assistant'] {
        fill: #aeaeae;
    }
    
    .assistant>rect {
        fill: #ffffff;
    }
    
    .assistant [data-ctrl-n-menu-id]>circle {
        fill: #aeaeae;
    }
    
    .it-team>rect {
        fill: #b4ffff;
    }
    
    .it-team>text {
        fill: #039BE5;
    }
    
    .it-team>[data-ctrl-n-menu-id] line {
        stroke: #039BE5;
    }
    
    .it-team>g>.ripple {
        fill: #00efef;
    }
    
    .hr-team>rect {
        fill: #fff5d8;
    }
    
    .hr-team>text {
        fill: #ecaf00;
    }
    
    .hr-team>[data-ctrl-n-menu-id] line {
        stroke: #ecaf00;
    }
    
    .hr-team>g>.ripple {
        fill: #ecaf00;
    }
    
    .sales-team>rect {
        fill: #ffeedd;
    }
    
    .sales-team>text {
        fill: #F57C00;
    }
    
    .sales-team>[data-ctrl-n-menu-id] line {
        stroke: #F57C00;
    }
    
    .sales-team>g>.ripple {
        fill: #F57C00;
    }
    
    
    /*CSS*/
    html, body {
        margin: 0px;
        padding: 0px;
        width: 100%;
        height: 100%;
        font-family: Helvetica;
        overflow: hidden;
    }
    
    #tree {
        width: 100%;
        height: 100%;
    }
    .boc-edit-form-fields {
    padding-bottom: 10rem!important;
    flex-grow: 1;
    overflow-y: scroll;
    overflow-x: hidden;
}
    /*partial*/
    
    [lcn='hr-team']>rect {
        fill: #FFCA28;
    }
    
    [lcn='sales-team']>rect {
        fill: #F57C00;
    }
    
    [lcn='top-management']>rect {
        fill: #f2f2f2;
    }
    
    [lcn='top-management']>text,
    .assistant>text {
        fill: #aeaeae;
    }
    
    [lcn='top-management'] circle,
    [lcn='assistant'] {
        fill: #aeaeae;
    }
    
    .assistant>rect {
        fill: #ffffff;
    }
    
    .assistant [data-ctrl-n-menu-id]>circle {
        fill: #aeaeae;
    }
    
    .it-team>rect {
        fill: #b4ffff;
    }
    
    .it-team>text {
        fill: #039BE5;
    }
    
    .it-team>[data-ctrl-n-menu-id] line {
        stroke: #039BE5;
    }
    
    .it-team>g>.ripple {
        fill: #00efef;
    }
    
    .hr-team>rect {
        fill: #fff5d8;
    }
    
    .hr-team>text {
        fill: #ecaf00;
    }
    
    .hr-team>[data-ctrl-n-menu-id] line {
        stroke: #ecaf00;
    }
    
    .hr-team>g>.ripple {
        fill: #ecaf00;
    }
    
    .sales-team>rect {
        fill: #ffeedd;
    }
    
    .sales-team>text {
        fill: #F57C00;
    }
    
    .sales-team>[data-ctrl-n-menu-id] line {
        stroke: #F57C00;
    }
    
    .sales-team>g>.ripple {
        fill: #F57C00;
    }
    form{
        display: flex;
        opacity: 1;
        right: 0px;
        z-index: 9!important;
    }
    hr{
        margin:7px 0!important;
    }
    .boc-toolbar-container{
        margin-bottom:3rem!important;
    }
    @media(max-width:1600px){
        .boc-toolbar-container{
        margin-bottom:10rem!important;
    }
    }
    .boc-edit-form-instruments {
    margin: 42px 10px 0 10px;
    text-align: center;
    min-height: 70px;
    display: none!important;
}

   </style>
    
    <div id="tree"></div>
    
    <select style="position: absolute;right: 50px;top: 170px;font-size: 14px;padding: 10px;background-color: #F57C00;color: #ffffff;width: 100px; z-index: 0!important;" id="selectTemplate">
        <option>olivia</option>
        <option>diva</option>
        <option>mila</option>
        <option>polina</option>
        <option>mery</option>
        <option>rony</option>
        <option>belinda</option>
        <option>ula</option>
        <option>ana</option>
        <option>isla</option>
        <option>deborah</option>
    </select>
    
    
    <script>
        //JavaScript
    OrgChart.templates.ana.plus = '<circle cx="15" cy="15" r="15" fill="#ffffff" stroke="#aeaeae" stroke-width="1"></circle>'
        + '<text text-anchor="middle" style="font-size: 18px;cursor:pointer;" fill="#757575" x="15" y="22">{collapsed-children-count}</text>';
    
    OrgChart.templates.itTemplate = Object.assign({}, OrgChart.templates.ana);
    OrgChart.templates.itTemplate.nodeMenuButton = "";
    OrgChart.templates.itTemplate.nodeCircleMenuButton = {
        radius: 18,
        x: 250,
        y: 60,
        color: '#fff',
        stroke: '#aeaeae'
    };
    
    OrgChart.templates.invisibleGroup.padding = [20, 0, 0, 0];
    
    var chart = new OrgChart(document.getElementById("tree"), {
        mouseScrool: OrgChart.action.ctrlZoom,
        template: "ana",
        enableDragDrop: true,
        assistantSeparation: 170,
        nodeCircleMenu: {
            details: {
                icon: OrgChart.icon.details(24, 24, '#aeaeae'),
                text: "Details",
                color: "white"
            },
            // edit: {
            //     icon: OrgChart.icon.edit(24, 24, '#aeaeae'),
            //     text: "Edit node",
            //     color: "white"
            // },
            // add: {
            //     icon: OrgChart.icon.add(24, 24, '#aeaeae'),
            //     text: "Add node",
            //     color: "white"
            // },
            // remove: {
            //     icon: OrgChart.icon.remove(24, 24, '#aeaeae'),
            //     text: "Remove node",
            //     color: '#fff',
            // },
            // addLink: {
            //     icon: OrgChart.icon.link(24, 24, '#aeaeae'),
            //     text: "Add C link(drag and drop)",
            //     color: '#fff',
            //     draggable: true
            // }
        },
      
        nodeMenu: {
            details: { text: "Details" },
            // edit: { text: "Edit" },
            // add: { text: "Add" },
            // remove: { text: "Remove" }
        },
        align: OrgChart.ORIENTATION,
        toolbar: {
            fullScreen: true,
            zoom: true,
            fit: true,
            expandAll: true
        },
        nodeBinding: {
            field_0: "name",
            field_1: "title",
            img_0: "img"
        },
        tags: {
            "top-management": {
                template: "invisibleGroup",
                subTreeConfig: {
                    orientation: OrgChart.orientation.bottom,
                    collapse: {
                        level: 1
                    }
                }
            },
            "it-team": {
                subTreeConfig: {
                    layout: OrgChart.mixed,
                    collapse: {
                        level: 1
                    }
                },
            },
            "hr-team": {
                subTreeConfig: {
                    layout: OrgChart.treeRightOffset,
                    collapse: {
                        level: 1
                    }
                },
            },
            "sales-team": {
                subTreeConfig: {
                    layout: OrgChart.treeLeftOffset,
                    collapse: {
                        level: 1
                    }
                },
            },
            "seo-menu": {
                nodeMenu: {
                    // addSharholder: { text: "Add new sharholder", icon: OrgChart.icon.add(24, 24, "#7A7A7A"), onClick: addSharholder },
                    // addDepartment: { text: "Add new department", icon: OrgChart.icon.add(24, 24, "#7A7A7A"), onClick: addDepartment },
                    // addAssistant: { text: "Add new assitsant",   icon: OrgChart.icon.add(24, 24, "#7A7A7A"), onClick: addAssistant },
                    // edit: { text: "Edit" },
                    details: { text: "Details" },
                }
            },
            "menu-without-add": {
                nodeMenu: {
                    details: { text: "Details" },
                    // edit: { text: "Edit" },
                    // remove: { text: "Remove" }
                }
            },
            "department": {
                template: "group",
                nodeMenu: {
                    addManager: { text: "Add new manager", icon: OrgChart.icon.add(24, 24, "#7A7A7A"), onClick: addManager },
                    remove: { text: "Remove department" },
                   
                }
            },
            "it-team-member": {
                template: "itTemplate",
            }
        },
        clinks: [
            { from: 11, to: 18 }
        ]
    });
    
    chart.nodeCircleMenuUI.on('click', function (sender, args) {
        switch (args.menuItem.text) {
            case "Details": chart.editUI.show(args.nodeId, true);
                break;
            case "Add node": {
                var id = chart.generateId();
                chart.addNode({ id: id, pid: args.nodeId, tags: ["it-team-member"] });
            }
            
            case "Remove node": chart.removeNode(args.nodeId);
                break;
            default:
        };
    });
    
    chart.nodeCircleMenuUI.on('drop', function (sender, args) {
        chart.addClink(args.from, args.to).draw(OrgChart.action.update);
    });
    
    chart.on("added", function (sender, id) {
        sender.editUI.show(id);
    });
    
    chart.on('drop', function (sender, draggedNodeId, droppedNodeId) {
        var draggedNode = sender.getNode(draggedNodeId);
        var droppedNode = sender.getNode(droppedNodeId);
        if (droppedNode != undefined) {
            if (droppedNode.tags.indexOf("department") != -1 && draggedNode.tags.indexOf("department") == -1) {
                var draggedNodeData = sender.get(draggedNode.id);
                draggedNodeData.pid = null;
                draggedNodeData.stpid = droppedNode.id;
                sender.updateNode(draggedNodeData);
                return false;
            }
        }
    
    });
    
    
    chart.on('exportstart', function (sender, args) {
        args.styles = document.getElementById('myStyles').outerHTML;
    });
    
    chart.load([
        { id: "top-management", tags: ["top-management"] },
        { id: "hr-team", pid: "top-management", tags: ["hr-team", "department"], name: "" },
        { id: "sales-team", pid: "top-management", tags: ["sales-team", "department"], name: "" },
    
        { id: 1, stpid: "top-management", name: "Nicky Phillips", title: "CEO", img: "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQjKhgpsV4PbvYkZE4G9HU2w_D10aQUCPnflg&usqp=CAU", tags: ["seo-menu"] },
        // { id: 2, pid: 1, name: "Rowan Hall", title: "Shareholder (51%)", img: "https://cdn.balkan.app/shared/2.jpg", tags: ["menu-without-add"] },
        // { id: 3, pid: 1, name: "Danni Anderson", title: "Shareholder (49%)", img: "https://cdn.balkan.app/shared/3.jpg", tags: ["menu-without-add"] },
    
        { id: 4, stpid: "hr-team", name: "Jordan Harris", title: "Sales Head", img: "https://cdn.balkan.app/shared/4.jpg",HigherOfficial:'Sagar',Location:'Hyderabad', Employeecode:"EMP101",Password:"123456"},
        { id: 5, pid: 4, name: "Emerson Adams", title: "Regional Head", img: "https://cdn.balkan.app/shared/5.jpg" },
        { id: 6, pid: 4, name: "Kai Morgan", title: "Regional Head", img: "https://cdn.balkan.app/shared/6.jpg" },
       { id: 7, pid: 4, name: "Kai Morgan", title: "Regional Head", img: "https://cdn.balkan.app/shared/6.jpg" },
        // { id: 7, stpid: "it-team", name: "Cory Robbins", tags: ["it-team-member"], title: "Core Team Lead", img: "https://cdn.balkan.app/shared/7.jpg" },
        // { id: 8, pid: 7, name: "Billie Roach", tags: ["it-team-member"], title: "Backend Senior Developer", img: "https://cdn.balkan.app/shared/8.jpg" },
        // { id: 9, pid: 7, name: "Maddox Hood", tags: ["it-team-member"], title: "C# Developer", img: "https://cdn.balkan.app/shared/9.jpg" },
        // { id: 10, pid: 7, name: "Sam Tyson", tags: ["it-team-member"], title: "Backend Junior Developer", img: "https://cdn.balkan.app/shared/10.jpg" },
    
        // { id: 11, stpid: "it-team", name: "Lynn Fleming", tags: ["it-team-member"], title: "UI Team Lead", img: "https://cdn.balkan.app/shared/11.jpg" },
        // { id: 12, pid: 11, name: "Jo Baker", tags: ["it-team-member"], title: "JS Developer", img: "https://cdn.balkan.app/shared/12.jpg" },
        // { id: 13, pid: 11, name: "Emerson Lewis", tags: ["it-team-member"], title: "Graphic Designer", img: "https://cdn.balkan.app/shared/13.jpg" },
        // { id: 14, pid: 11, name: "Haiden Atkinson", tags: ["it-team-member"], title: "UX Expert", img: "https://cdn.balkan.app/shared/14.jpg" },
    
        { id: 15, stpid: "sales-team", name: "Tyler Chavez", title: "Sales Head", img: "https://cdn.balkan.app/shared/15.jpg" },
        { id: 16,  pid:15, name: "Raylee Allen", title:"Regional Head", img: "https://cdn.balkan.app/shared/16.jpg" },
        { id: 17, pid: 15, name: "Kris Horne", title: "Regional Head", img: "https://cdn.balkan.app/shared/8.jpg" },
        { id: 18, pid: 15, name: "Kris Horne", title: "Regional Head", img: "https://cdn.balkan.app/shared/8.jpg" },
        
         
         { id: 19, pid: 5, name: "Jo Baker",       title: "Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 20, pid: 5, name: "Emerson Lewis",  title: "Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
        //  { id: 21, pid: 5, name: "Haiden Atkinson",  title: "Manager", img: "https://cdn.balkan.app/shared/14.jpg" },
         
         { id: 22, pid: 6, name: "Jo Baker",       title: "Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 23, pid: 6, name: "Emerson Lewis",  title: "Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
        //  { id: 24, pid: 6, name: "Haiden Atkinson",  title: "Ast.VP", img: "https://cdn.balkan.app/shared/14.jpg" },
         
         { id: 25, pid: 7, name: "Jo Baker",       title: "Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 26, pid: 7, name: "Emerson Lewis",  title: "Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
        //  { id: 27, pid: 7, name: "Haiden Atkinson", title: "Ast.VP", img: "https://cdn.balkan.app/shared/14.jpg" },
         
         
         { id: 28, pid: 16, name: "Jo Baker",       title: "Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 29, pid: 16, name: "Emerson Lewis",  title: "Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
        //  { id: 30, pid: 16, name: "Haiden Atkinson",  title: "Manager", img: "https://cdn.balkan.app/shared/14.jpg" },
         
         { id: 31, pid: 17, name: "Jo Baker",       title: "Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 32, pid: 17, name: "Emerson Lewis",  title: "Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
        //  { id: 33, pid: 17, name: "Haiden Atkinson", title: "Manager", img: "https://cdn.balkan.app/shared/14.jpg" },
         
         { id: 34, pid: 18, name: "Jo Baker",       title: "Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 35, pid: 18, name: "Emerson Lewis",  title: "Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
        //  { id: 36, pid: 18, name: "Haiden Atkinson",title: "Manager", img: "https://cdn.balkan.app/shared/14.jpg" },
         
         { id: 37, pid: 23, name: "Jo Baker",       title: "Sales Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 38, pid: 23, name: "Emerson Lewis",  title: "Sales Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
        //  { id: 39, pid: 23, name: "Haiden Atkinson",title: "Sales Manager", img: "https://cdn.balkan.app/shared/14.jpg" },
         
         { id: 40, pid: 32, name: "Jo Baker",       title: "Sales Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 41, pid: 32, name: "Emerson Lewis",  title: "Sales Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
        //  { id: 42, pid: 32, name: "Haiden Atkinson",title: "Sales Manager", img: "https://cdn.balkan.app/shared/14.jpg" },
         
         { id: 43, pid: 37, name: "Jo Baker",       title: "Relationship Manager", img: "https://cdn.balkan.app/shared/12.jpg" },
         { id: 44, pid: 38, name: "Emerson Lewis",  title: "Relationship Manager", img: "https://cdn.balkan.app/shared/13.jpg" },
         { id: 45, pid: 40, name: "Haiden Atkinson",title: "Relationship Manager", img: "https://cdn.balkan.app/shared/14.jpg" },
         { id: 46, pid: 41, name: "Haiden Atkinson",title: "Relationship Manager", img: "https://cdn.balkan.app/shared/14.jpg" },
        // { id: 18, pid: "top-management", name: "Leslie Mcclain", title: "Personal assistant", img: "https://cdn.balkan.app/shared/9.jpg", tags: ["assistant", "menu-without-add"] }
    ]);
    
    function preview() {
        OrgChart.pdfPrevUI.show(chart, {
            format: 'A4'
        });
    }
    
    function nodePdfPreview(nodeId) {
        OrgChart.pdfPrevUI.show(chart, {
            format: 'A4',
            nodeId: nodeId
        });
    }
    
    function addSharholder(nodeId) {
        chart.addNode({ id: OrgChart.randomId(), pid: nodeId, tags: ["menu-without-add"] });
    }
    
    function addAssistant(nodeId) {
        var node = chart.getNode(nodeId);
        var data = { id: OrgChart.randomId(), pid: node.stParent.id, tags: ["assistant"] };
        chart.addNode(data);
    }
    
    
    function addDepartment(nodeId) {
        var node = chart.getNode(nodeId);
        var data = { id: OrgChart.randomId(), pid: node.stParent.id, tags: ["department"] };
        chart.addNode(data);
    }
    
    function addManager(nodeId) {
        chart.addNode({ id: OrgChart.randomId(), stpid: nodeId });
    }
    
    document.getElementById("selectTemplate").addEventListener("change", function () {
        chart.config.template = this.value;
        chart.draw();
    });
    
    </script>
    </div>
