<?php
defined('BASEPATH') OR exit('No direct script access allowed');
//define('KEY','AAAAlwr9C0g:APA91bGDvCkePC2E__03Jm6U3Jz8046DyZN4I-NlwisBhxT0GgpesJ1ZXLvdz5EqeR58Q8f0_Af-tpclYU7X1Eo4FHm34nzXUnrifgLoeFDMtjH77FoxvkHICFWQFt04Az5riiDtIalW');
class Register extends CI_Controller {
	
	function __construct()
	{
		parent::__construct();
		date_default_timezone_set("Asia/Kolkata");
		$this->load->library(array('form_validation', 'session'));
		$this->load->helper('url','form','HTML');
		//$this->load->library('Notifications');
		$this->is_logged_in();
		$this->load->model('admin/registermodel');
		$this->db->query('SET SESSION sql_mode =
                  REPLACE(REPLACE(REPLACE(
                  @@sql_mode,
                  "ONLY_FULL_GROUP_BY,", ""),
                  ",ONLY_FULL_GROUP_BY", ""),
                  "ONLY_FULL_GROUP_BY", "")'); 
	}

 public function is_logged_in(){
	$is_logged_in = $this->session->userdata('is_logged_in');		
	if(!isset($is_logged_in) || $is_logged_in != TRUE){
		redirect('admin/login', 'refresh');
	}
}

/*search*/
public function search(){
    if(isset($_POST['sub'])){
        $data = array(
           'search'         => $_POST['search'],
           'search_page'    => $_POST['search_page']
        );
        if($data['search_page']=='users'){           
            $data['users'] = $this->registermodel->search_users($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_users',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='buy_shares'){
            $data['buy_shares'] = $this->registermodel->search_buy_shares($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_buy_shares',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='sell_shares'){
            $data['sell_shares'] = $this->registermodel->search_sell_shares($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_sell_shares',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='distributors'){
            $data['distributors'] = $this->registermodel->search_distributors($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_distributors',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='influencers'){
            $data['influencers'] = $this->registermodel->search_influencers($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_influencers',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='store_categories'){
            $data['store_categories'] = $this->registermodel->search_categories($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_store_categories',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='products'){
            $data['products'] = $this->registermodel->search_products($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_products',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='vehicle_categories'){
            $data['vehicle_categories'] = $this->registermodel->search_vehicle_categories($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_vehicle_categories',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='vehicle_brands'){
            $data['vehicle_brands'] = $this->registermodel->search_vehicle_brands($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_vehicle_brands',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='vehicle_models'){
            $data['vehicle_models'] = $this->registermodel->search_vehicle_models($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_vehicle_models',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='bloodbanks'){
            $data['bloodbanks'] = $this->registermodel->search_bloodbanks($data);
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_bloodbanks',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='petrol_bunks'){
            $data['type']='petrol_bunks';
            $data['services'] = $this->registermodel->search_services($data);
            //echo $this->db->last_query();exit;
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_services',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='car_services'){
            $data['type']='car_services';
            $data['services'] = $this->registermodel->search_services($data);
            //echo $this->db->last_query();exit;
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_services',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='bike_services'){
            $data['type']='bike_services';
            $data['services'] = $this->registermodel->search_services($data);
            //echo $this->db->last_query();exit;
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_services',$data);
            $this->load->view('admin/includes/footer');
        }elseif($data['search_page']=='water_wash'){
            $data['type']='water_wash';
            $data['services'] = $this->registermodel->search_services($data);
            //echo $this->db->last_query();exit;
            $this->load->view('admin/includes/header');
            $this->load->view('admin/list_services',$data);
            $this->load->view('admin/includes/footer');
        }
    }
}
/*search*/

/*status*/
public function change_status($id,$status,$page){
    if($status==1){
        $val=0;
    }else{
        $val=1;
    }
    if($page=='users'){
        $update_status = $this->registermodel->common_update('users',array('status' => $val),array('id' => $id));
    }elseif($page=='home_banners'){
        $update_status = $this->registermodel->common_update('banners',array('status' => $val),array('id' => $id));
    }elseif($page=='about_us_banners'){
        $update_status = $this->registermodel->common_update('about_us_banners',array('status' => $val),array('id' => $id));
    }elseif($page=='buy_shares'){
        $update_status = $this->registermodel->common_update('buy_shares',array('status' => $val),array('id' => $id));
    }elseif($page=='sell_shares'){
        $update_status = $this->registermodel->common_update('sell_shares',array('status' => $val),array('id' => $id));
    }elseif($page=='buy_share_requests'){
        $val=$status;
        $update_status = $this->registermodel->common_update('buy_now_requests',array('status' => $val),array('id' => $id));
    }elseif($page=='influencers'){
        $update_status = $this->registermodel->common_update('influencers',array('status' => $val),array('id' => $id));
    }elseif($page=='store_categories'){
        $update_status = $this->registermodel->common_update('store_categories',array('status' => $val),array('id' => $id));
    }elseif($page=='products'){
        $update_status = $this->registermodel->common_update('products',array('status' => $val),array('id' => $id));
    }elseif($page=='vehicle_categories'){
        $update_status = $this->registermodel->common_update('vehicle_categories',array('status' => $val),array('id' => $id));
    }elseif($page=='vehicle_brands'){
        $update_status = $this->registermodel->common_update('vehicle_brands',array('status' => $val),array('id' => $id));
    }elseif($page=='vehicle_models'){
        $update_status = $this->registermodel->common_update('vehicle_models',array('status' => $val),array('id' => $id));
    }elseif($page=='bloodbanks'){
        $update_status = $this->registermodel->common_update('bloodbanks',array('status' => $val),array('id' => $id));
    }elseif($page=='petrol_bunks'){
        $update_status = $this->registermodel->common_update('petrol_bunks',array('status' => $val),array('id' => $id));
    }elseif($page=='car_services'){
        $update_status = $this->registermodel->common_update('car_services',array('status' => $val),array('id' => $id));
    }elseif($page=='bike_services'){
        $update_status = $this->registermodel->common_update('bike_services',array('status' => $val),array('id' => $id));
    }elseif($page=='water_wash'){
        $update_status = $this->registermodel->common_update('water_wash',array('status' => $val),array('id' => $id));
    }
}
/*status*/

/*delete*/
public function delete($id,$status,$page){
    if($status==1){
        $val=0;
    }else{
        $val=1;
    }
    if($page=='distributors'){
        $delete_status = $this->registermodel->common_update('distributors',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_distributor_succ','Distributor deleted successfully');
	    return redirect('admin/register/distributors');
    }elseif($page=='influencers'){
        $delete_status = $this->registermodel->common_update('influencers',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_influencer_succ','Influencer deleted successfully');
	    return redirect('admin/register/influencers');
    }elseif($page=='buy_shares'){
        $delete_status = $this->registermodel->common_update('buy_shares',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_buy_share_succ','Buy Share deleted successfully');
	    return redirect('admin/register/buy_shares');
    }elseif($page=='sell_shares'){
        $delete_status = $this->registermodel->common_update('sell_shares',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_sell_share_succ','Sell Share Plan deleted successfully');
	    return redirect('admin/register/sell_shares');
    }elseif($page=='store_categories'){
        $delete_status = $this->registermodel->common_update('store_categories',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_category_succ','Store Category deleted successfully');
	    return redirect('admin/register/store_categories');
    }elseif($page=='products'){
        $delete_status = $this->registermodel->common_update('products',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_product_succ','Product deleted successfully');
	    return redirect('admin/register/products');
    }elseif($page=='vehicle_categories'){
        $delete_status = $this->registermodel->common_update('vehicle_categories',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_vehicle_category_succ','Vehicle Category deleted successfully');
	    return redirect('admin/register/vehicle_categories');
    }elseif($page=='vehicle_brands'){
        $delete_status = $this->registermodel->common_update('vehicle_brands',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_vehicle_brand_succ','Vehicle Brand deleted successfully');
	    return redirect('admin/register/vehicle_brands');
    }elseif($page=='vehicle_models'){
        $delete_status = $this->registermodel->common_update('vehicle_models',array('delete_status' => $val),array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_vehicle_model_succ','Vehicle Model deleted successfully');
	    return redirect('admin/register/vehicle_models');
    }elseif($page=='bloodbanks'){
        $bloodbanks = $this->registermodel->common_fetch('bloodbanks',array('id' => base64_decode($id)));
        unlink($bloodbanks[0]['image']);
        $delete_status = $this->registermodel->common_delete('bloodbanks',array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_bloodbank_succ','Bloodbank deleted successfully');
	    return redirect('admin/register/bloodbanks');
    }elseif($page=='petrol_bunks'){
        $petrol_bunks = $this->registermodel->common_fetch('petrol_bunks',array('id' => base64_decode($id)));
        unlink($petrol_bunks[0]['image']);
        $delete_status = $this->registermodel->common_delete('petrol_bunks',array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_service_succ','Petrol Bunk deleted successfully');
	    return redirect('admin/register/petrol_bunks');
    }elseif($page=='car_services'){
        $car_services = $this->registermodel->common_fetch('car_services',array('id' => base64_decode($id)));
        unlink($car_services[0]['image']);
        $delete_status = $this->registermodel->common_delete('car_services',array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_service_succ','Car Service deleted successfully');
	    return redirect('admin/register/car_services');
    }elseif($page=='bike_services'){
        $bike_services = $this->registermodel->common_fetch('bike_services',array('id' => base64_decode($id)));
        unlink($bike_services[0]['image']);
        $delete_status = $this->registermodel->common_delete('bike_services',array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_service_succ','Bike Service deleted successfully');
	    return redirect('admin/register/bike_services');
    }elseif($page=='water_wash'){
        $water_wash = $this->registermodel->common_fetch('water_wash',array('id' => base64_decode($id)));
        unlink($water_wash[0]['image']);
        $delete_status = $this->registermodel->common_delete('water_wash',array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_service_succ','Water Wash deleted successfully');
	    return redirect('admin/register/water_wash');
    }elseif($page=='notifications'){
        $delete_status = $this->registermodel->common_delete('notifications',array('id' => base64_decode($id)));
        $this->session->set_flashdata('del_notif_succ','Notification deleted successfully');
        return redirect('admin/register/notifications');        
    }
}
/*delete*/

/*index*/
public function index(){
	//$data['users'] = $this->registermodel->common_fetch('users',array());
	$this->load->view('admin/includes/header');
	$this->load->view('admin/home');
	$this->load->view('admin/includes/footer');
}
/*index*/

/*users*/
public function users(){
	$data['users'] = $this->registermodel->common_fetch('users',array());
	$this->load->view('admin/includes/header');
	$this->load->view('admin/list_users',$data);
	$this->load->view('admin/includes/footer');
}
/*users*/

/*banners*/
public function home_banners(){
    if(isset($_POST['sub'])){
        //print_r($_POST);exit;
        $config['upload_path']			= 'assets/admin/banners/';
		$config['allowed_types']        = 'jpeg|jpg|png';
		$config['file_name']            = time();
		$config['max_size']             = 2000;
		/* $config['max_width']         	= 480;
		$config['max_height']           = 160; */
		//print_r($config);exit;
		$this->load->library('upload',$config);
		$this->upload->initialize($config,true);
		if($this->upload->do_upload('image')){
			//echo 'hi';exit;
			$filedata = $this->upload->data();
			$image = 'assets/admin/banners/'.$filedata['file_name'];
			//echo $image;exit;
		}else{
			$this->session->set_flashdata('banner_img_error',$this->upload->display_errors());
			return redirect('admin/register/home_banners');
		}
        $data = array(
            'name'          => $_POST['name'],
            'image'         => $image,
            'created_on'    => date('Y-m-d')
        );
        $check_banners = $this->registermodel->common_fetch('banners',array('name' => $data['name']));
        if(!empty($check_banners)){
           $this->session->set_flashdata('banner_img_err','Banner inserted already');
		    return redirect('admin/register/home_banners'); 
        }else{
            $insert_banners = $this->registermodel->common_insert('banners',$data);
            $this->session->set_flashdata('banner_img_succ','Image Uploaded Successfully');
    		return redirect('admin/register/home_banners');
        }
    }
    $data['banners'] = $this->registermodel->common_fetch('banners',array());
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_home_banners',$data);
    $this->load->view('admin/includes/footer');
}
public function edit_home_banners($id){
    if(isset($_POST['sub'])){
        $image = $_POST['image'];
		if($_FILES['image']['name']!==""){
			$config['upload_path']			= 'assets/admin/banners/';
			$config['allowed_types']        = 'jpeg|jpg|png';
			$config['file_name']            = time();
			$config['max_size']             = 2000;
			/* $config['max_width']         	= 480;
			$config['max_height']           = 160; */
			//print_r($config);exit;
			$this->load->library('upload',$config);
			$this->upload->initialize($config,true);
			if($this->upload->do_upload('image')){
				//echo 'hi';exit;
				$filedata = $this->upload->data();
				$image = 'assets/admin/banners/'.$filedata['file_name'];
				//echo $image;exit;
			}else{
				$this->session->set_flashdata('edit_banner_img_err',$this->upload->display_errors());
				return redirect('admin/register/home_banners');
			}
		}
		$data = array(
	       'name'	        => $_POST['name'],
		   'image'			=> $image,
		   'modified_on'	=> date('Y-m-d')
		); 
		$update_banner = $this->registermodel->common_update('banners',$data,array('id' => $id));
		$this->session->set_flashdata('edit_banner_succ','Banner Updated Successfully');
		return redirect('admin/register/home_banners');
    }    
}
public function delete_banner($id){
    $banners = $this->registermodel->common_fetch('banners',array('id' => base64_decode($id)));
    unlink($banners[0]['image']);
    $delete_banner = $this->registermodel->common_delete('banners',array('id' => base64_decode($id)));
	$this->session->set_flashdata('del_banner_succ','Banner Deleted Successfully');
	return redirect('admin/register/home_banners');
}
public function about_us_banners(){
    if(isset($_POST['sub'])){
        //print_r($_POST);exit;
        $config['upload_path']			= 'assets/admin/about_us_banners/';
		$config['allowed_types']        = 'jpeg|jpg|png';
		$config['file_name']            = time();
		$config['max_size']             = 2000;
		/* $config['max_width']         	= 480;
		$config['max_height']           = 160; */
		//print_r($config);exit;
		$this->load->library('upload',$config);
		$this->upload->initialize($config,true);
		if($this->upload->do_upload('image')){
			//echo 'hi';exit;
			$filedata = $this->upload->data();
			$image = 'assets/admin/about_us_banners/'.$filedata['file_name'];
			//echo $image;exit;
		}else{
			$this->session->set_flashdata('abt_banner_img_error',$this->upload->display_errors());
			return redirect('admin/register/about_us_banners');
		}
        $data = array(
            'name'          => $_POST['name'],
            'image'         => $image,
            'created_on'    => date('Y-m-d')
        );
        $check_banners = $this->registermodel->common_fetch('about_us_banners',array('name' => $data['name']));
        if(!empty($check_banners)){
           $this->session->set_flashdata('abt_banner_img_err','About us Banner inserted already');
		    return redirect('admin/register/about_us_banners'); 
        }else{
            $insert_banners = $this->registermodel->common_insert('about_us_banners',$data);
            $this->session->set_flashdata('abt_banner_img_succ','Image Uploaded Successfully');
    		return redirect('admin/register/about_us_banners');
        }
    }
    $data['about_us_banners'] = $this->registermodel->common_fetch('about_us_banners',array());
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_about_us_banners',$data);
    $this->load->view('admin/includes/footer');
}
public function edit_about_us_banners($id){
    if(isset($_POST['sub'])){
        $image = $_POST['image'];
		if($_FILES['image']['name']!==""){
			$config['upload_path']			= 'assets/admin/about_us_banners/';
			$config['allowed_types']        = 'jpeg|jpg|png';
			$config['file_name']            = time();
			$config['max_size']             = 2000;
			/* $config['max_width']         	= 480;
			$config['max_height']           = 160; */
			//print_r($config);exit;
			$this->load->library('upload',$config);
			$this->upload->initialize($config,true);
			if($this->upload->do_upload('image')){
				//echo 'hi';exit;
				$filedata = $this->upload->data();
				$image = 'assets/admin/about_us_banners/'.$filedata['file_name'];
				//echo $image;exit;
			}else{
				$this->session->set_flashdata('abt_edit_banner_img_err',$this->upload->display_errors());
				return redirect('admin/register/about_us_banners');
			}
		}
		$data = array(
	       'name'	        => $_POST['name'],
		   'image'			=> $image,
		   'modified_on'	=> date('Y-m-d')
		); 
		$update_banner = $this->registermodel->common_update('about_us_banners',$data,array('id' => $id));
		$this->session->set_flashdata('abt_edit_banner_succ','Banner Updated Successfully');
		return redirect('admin/register/about_us_banners');
    }    
}
public function delete_aboutus_banner($id){
    $banners = $this->registermodel->common_fetch('about_us_banners',array('id' => base64_decode($id)));
    unlink($banners[0]['image']);
    $delete_banner = $this->registermodel->common_delete('about_us_banners',array('id' => base64_decode($id)));
	$this->session->set_flashdata('del_abt_banner_succ','Banner Deleted Successfully');
	return redirect('admin/register/about_us_banners');
}
/*banners*/

/*shares*/
public function buy_shares(){
    if(isset($_POST['sub'])){
        $config['upload_path']			= 'assets/admin/logos/';
        $config['allowed_types']        = 'jpeg|jpg|png';
        $config['file_name']            = time();
        $config['max_size']             = 2000;
        /* $config['max_width']         	= 480;
        $config['max_height']           = 160; */
        //print_r($config);exit;
        $this->load->library('upload',$config);
        $this->upload->initialize($config,true);
        if($this->upload->do_upload('logo')){
            //echo 'hi';exit;
            $filedata = $this->upload->data();
            $image = 'assets/admin/logos/'.$filedata['file_name'];            
        }else{
            $this->session->set_flashdata('buy_shares_img_error',$this->upload->display_errors());
            return redirect('admin/register/buy_shares');
        }
        $config1['upload_path']			= 'assets/admin/shares/';
        $config1['allowed_types']        = 'pdf';
        $config1['file_name']            = time();
        $config1['max_size']             = 2000;
        /* $config['max_width']         	= 480;
        $config['max_height']           = 160; */
        //print_r($config);exit;
        $this->load->library('upload',$config1);
        $this->upload->initialize($config1,true);
        if($this->upload->do_upload('pdf')){
            //echo 'hi';exit;
            $filedata1 = $this->upload->data();
            $pdf = 'assets/admin/shares/'.$filedata1['file_name'];            
        }else{
            $this->session->set_flashdata('buy_shares_img_error1',$this->upload->display_errors());
            return redirect('admin/register/buy_shares');
        }
        $data = array(
            'name'              => $_POST['name'],
            'logo'              => $image,
            'amount'            => $_POST['amount'],
            'available_qty'     => $_POST['available_qty'],
            'pdf'               => $pdf,                    
            'created_on'        => date('Y-m-d')
        );        
        $chech_buy_shares = $this->registermodel->common_fetch('buy_shares',array('name' => $data['name'],'delete_status' => 1));        
        if(!empty($chech_buy_shares)){
            $this->session->set_flashdata('buy_shares_insert_error','Buy Share inserted already');
            return redirect('admin/register/buy_shares');
        }else{
            $insert = $this->registermodel->common_insert('buy_shares',$data);            
            $this->session->set_flashdata('buy_shares_insert_succ','Buy Share inserted successfully');
            return redirect('admin/register/buy_shares');
        }        
    }    
    $data['buy_shares'] = $this->registermodel->common_fetch('buy_shares',array('delete_status' => 1));
	$this->load->view('admin/includes/header');
	$this->load->view('admin/list_buy_shares',$data);
	$this->load->view('admin/includes/footer');
}
public function edit_buy_share($id){
    if(isset($_POST['sub'])){
        $image = $_POST['logo'];
        $pdf = $_POST['pdf'];
		if($_FILES['logo']['name']!==""){
			$config['upload_path']			= 'assets/admin/logos/';
            $config['allowed_types']        = 'jpeg|jpg|png';
            $config['file_name']            = time();
            $config['max_size']             = 2000;
            /* $config['max_width']         	= 480;
            $config['max_height']           = 160; */
            //print_r($config);exit;
            $this->load->library('upload',$config);
            $this->upload->initialize($config,true);
			if($this->upload->do_upload('logo')){
				//echo 'hi';exit;
				$filedata = $this->upload->data();
				$image = 'assets/admin/logos/'.$filedata['file_name'];
				//echo $image;exit;
			}else{
				$this->session->set_flashdata('edit_buy_share_img_err',$this->upload->display_errors());
				return redirect('admin/register/buy_shares');
			}
		}
        if($_FILES['pdf']['name']!==""){
			$config1['upload_path']			= 'assets/admin/shares/';
            $config1['allowed_types']        = 'pdf';
            $config1['file_name']            = time();
            $config1['max_size']             = 2000;
            /* $config['max_width']         	= 480;
            $config['max_height']           = 160; */
            //print_r($config);exit;
            $this->load->library('upload',$config1);
            $this->upload->initialize($config1,true);
            if($this->upload->do_upload('pdf')){
                //echo 'hi';exit;
                $filedata1 = $this->upload->data();
                $pdf = 'assets/admin/shares/'.$filedata1['file_name'];            
            }else{
                $this->session->set_flashdata('edit_buy_shares_img_error1',$this->upload->display_errors());
                return redirect('admin/register/buy_shares');
            }
		}
		$data = array(
            'name'              => $_POST['name'],
            'logo'              => $image,
            'amount'            => $_POST['amount'],
            'available_qty'     => $_POST['available_qty'],
            'pdf'               => $pdf,
		    'modified_on'	=> date('Y-m-d')
		); 
		$update_buy_share = $this->registermodel->common_update('buy_shares',$data,array('id' => $id));
		$this->session->set_flashdata('edit_buy_share_succ','Buy Shares Updated Successfully');
		return redirect('admin/register/buy_shares');
    }
}
public function sell_shares(){
    if(isset($_POST['sub'])){
        $config['upload_path']			= 'assets/admin/logos/';
        $config['allowed_types']        = 'jpeg|jpg|png';
        $config['file_name']            = time();
        $config['max_size']             = 2000;
        /* $config['max_width']         	= 480;
        $config['max_height']           = 160; */
        //print_r($config);exit;
        $this->load->library('upload',$config);
        $this->upload->initialize($config,true);
        if($this->upload->do_upload('logo')){
            //echo 'hi';exit;
            $filedata = $this->upload->data();
            $image = 'assets/admin/logos/'.$filedata['file_name'];            
        }else{
            $this->session->set_flashdata('sell_shares_img_error',$this->upload->display_errors());
            return redirect('admin/register/sell_shares');
        }
        $config1['upload_path']			= 'assets/admin/shares/';
        $config1['allowed_types']        = 'pdf';
        $config1['file_name']            = time();
        $config1['max_size']             = 2000;
        /* $config['max_width']         	= 480;
        $config['max_height']           = 160; */
        //print_r($config);exit;
        $this->load->library('upload',$config1);
        $this->upload->initialize($config1,true);
        if($this->upload->do_upload('pdf')){
            //echo 'hi';exit;
            $filedata1 = $this->upload->data();
            $pdf = 'assets/admin/shares/'.$filedata1['file_name'];            
        }else{
            $this->session->set_flashdata('sell_shares_img_error1',$this->upload->display_errors());
            return redirect('admin/register/sell_shares');
        }
        $data = array(
            'name'              => $_POST['name'],
            'logo'              => $image,
            'amount'            => $_POST['amount'],
            'available_qty'     => $_POST['available_qty'],
            'pdf'               => $pdf,                    
            'created_on'        => date('Y-m-d')
        );        
        $chech_sell_shares = $this->registermodel->common_fetch('sell_shares',array('name' => $data['name'],'delete_status' => 1));        
        if(!empty($chech_sell_shares)){
            $this->session->set_flashdata('sell_shares_insert_error','Buy Share inserted already');
            return redirect('admin/register/sell_shares');
        }else{
            $insert = $this->registermodel->common_insert('sell_shares',$data);            
            $this->session->set_flashdata('sell_shares_insert_succ','Buy Share inserted successfully');
            return redirect('admin/register/sell_shares');
        }        
    }    
    $data['sell_shares'] = $this->registermodel->common_fetch('sell_shares',array('delete_status' => 1));
	$this->load->view('admin/includes/header');
	$this->load->view('admin/list_sell_shares',$data);
	$this->load->view('admin/includes/footer');
}
public function edit_sell_share($id){
    if(isset($_POST['sub'])){
        $image = $_POST['logo'];
        $pdf = $_POST['pdf'];
		if($_FILES['logo']['name']!==""){
			$config['upload_path']			= 'assets/admin/logos/';
            $config['allowed_types']        = 'jpeg|jpg|png';
            $config['file_name']            = time();
            $config['max_size']             = 2000;
            /* $config['max_width']         	= 480;
            $config['max_height']           = 160; */
            //print_r($config);exit;
            $this->load->library('upload',$config);
            $this->upload->initialize($config,true);
			if($this->upload->do_upload('logo')){
				//echo 'hi';exit;
				$filedata = $this->upload->data();
				$image = 'assets/admin/logos/'.$filedata['file_name'];
				//echo $image;exit;
			}else{
				$this->session->set_flashdata('edit_sell_share_img_err',$this->upload->display_errors());
				return redirect('admin/register/sell_shares');
			}
		}
        if($_FILES['pdf']['name']!==""){
			$config1['upload_path']			= 'assets/admin/shares/';
            $config1['allowed_types']        = 'pdf';
            $config1['file_name']            = time();
            $config1['max_size']             = 2000;
            /* $config['max_width']         	= 480;
            $config['max_height']           = 160; */
            //print_r($config);exit;
            $this->load->library('upload',$config1);
            $this->upload->initialize($config1,true);
            if($this->upload->do_upload('pdf')){
                //echo 'hi';exit;
                $filedata1 = $this->upload->data();
                $pdf = 'assets/admin/shares/'.$filedata1['file_name'];            
            }else{
                $this->session->set_flashdata('edit_sell_shares_img_error1',$this->upload->display_errors());
                return redirect('admin/register/sell_shares');
            }
		}
		$data = array(
            'name'              => $_POST['name'],
            'logo'              => $image,
            'amount'            => $_POST['amount'],
            'available_qty'     => $_POST['available_qty'],
            'pdf'               => $pdf,
		    'modified_on'	=> date('Y-m-d')
		); 
		$update_sell_share = $this->registermodel->common_update('sell_shares',$data,array('id' => $id));
		$this->session->set_flashdata('edit_sell_share_succ','Sell Shares Updated Successfully');
		return redirect('admin/register/sell_shares');
    }
}
/*shares*/

/*share requests*/
public function buy_share_requests(){
    $data['buy_share_requests'] = $this->registermodel->common_fetch('buy_now_requests',array());
	$this->load->view('admin/includes/header');
	$this->load->view('admin/list_buy_share_requests',$data);
	$this->load->view('admin/includes/footer');
}
public function edit_buy_now_requests($id){
    if(isset($_POST['sub'])){
        $data = array(
            'description'   => $_POST['description']
        );
        $update_buy_now_requests= $this->registermodel->common_update('buy_now_requests',$data,array('id' => $id));
		$this->session->set_flashdata('edit_buy_now_requests_succ','Buy Share request Updated Successfully');
		return redirect('admin/register/buy_share_requests');
    }
}
/*shares requests*/


/*notifications*/
public function notifications(){    
    $data['notifications'] = $this->registermodel->common_fetch('notifications',array());
    $data['users'] = $this->registermodel->common_fetch('users',array('status' => 1,'delete_status' => 1));
    //echo $this->db->last_query();exit;
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_notifications',$data);
    $this->load->view('admin/includes/footer');
}
public function send_notifications(){
    if(isset($_POST['sub'])){
        $i=0;
		$data = array(
           'member_id'          => $_POST['member_id'],
	       'title'              => $_POST['title'],
           'message'            => $_POST['message'],           
		   'created_on'	        => date('Y-m-d')
		);
		//print_r($data);exit;
		if($data['member_id']=='all'){
		    $get_users = $this->registermodel->common_fetch('users',array('status' => 1, 'delete_status' => 1));
		    if(!empty($get_users)){
		        foreach($get_users as $row){
		            $message = array();
		            $message['title'] = $data['title'];
		            $message['body'] = $data['message'];
		            //$daa = $this->notifications->sendFCM(KEY,$message,$row['token']);
		             $i++;
		        }
		        $insert_notifications = $this->registermodel->common_insert('notifications',$data);
		        $this->session->set_flashdata('noti_succ','Notification send successfully');		        
		        return redirect('admin/register/notifications');		        
		    }else{
		        $this->session->set_flashdata('noti_err','No data');
		        return redirect('admin/register/notifications');		        
		    }
		}else{
		   $get_users = $this->registermodel->common_fetch('users',array('id' => $data['member_id']));
		   $message = array();
           $message['title'] = $data['title'];
           $message['body'] = $data['message'];
           //$daa = $this->notifications->sendFCM(KEY,$message,$get_users[0]['token']);
           //print_r($daa);exit;
           $insert_notifications = $this->registermodel->common_insert('notifications',$data);
           $this->session->set_flashdata('noti_succ','Notification send successfully');	    
	        return redirect('admin/register/notifications');	        
		}
    }
}
public function delete_notifications(){
    $i=0;    
    $get_notifications = $this->registermodel->common_fetch('notifications',array());
    if(!empty($get_notifications)){
        foreach($get_notifications as $row){
            $delete_notifications = $this->registermodel->common_delete('notifications',array('id' => $row['id']));
            $i++;
        }
        $this->session->set_flashdata('noti_del_succ','Notifications deleted successfully');
        return redirect('admin/register/notifications');       
    }else{
        $this->session->set_flashdata('noti_err','No data');
        return redirect('admin/register/notifications');        
    }

}
/*notifications*/

/*Content Pages*/
public function terms(){
    if(isset($_POST['sub'])){
		$data = array(
	       'name'                   => $_POST['name'],
		   'modified_on'	        => date('Y-m-d')
		); 
		$update_name = $this->registermodel->common_update('terms',$data,array('id' => 1));
		$this->session->set_flashdata('edit_terms_succ','Terms and Conditions updated successfully');
		return redirect('admin/register/terms');
    }
    $data['terms'] = $this->registermodel->common_fetch('terms',array());
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_terms',$data);
    $this->load->view('admin/includes/footer');
}
public function privacy(){
    if(isset($_POST['sub'])){
		$data = array(
	       'name'                   => $_POST['name'],
		   'modified_on'	        => date('Y-m-d')
		); 
		$update_name = $this->registermodel->common_update('privacy',$data,array('id' => 1));
		$this->session->set_flashdata('edit_privacy_succ','Privacy Policy updated successfully');
		return redirect('admin/register/privacy');
    }
    $data['privacy'] = $this->registermodel->common_fetch('privacy',array());
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_privacy',$data);
    $this->load->view('admin/includes/footer');
}
public function return_policy(){
    if(isset($_POST['sub'])){
		$data = array(
	       'name'                   => $_POST['name'],
		   'modified_on'	        => date('Y-m-d')
		); 
		$update_name = $this->registermodel->common_update('return_policy',$data,array('id' => 1));
		$this->session->set_flashdata('edit_return_policy_succ','Return Policy updated successfully');
		return redirect('admin/register/return_policy');
    }
    $data['return_policy'] = $this->registermodel->common_fetch('return_policy',array());
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_return_policy',$data);
    $this->load->view('admin/includes/footer');
}
public function refund(){
    if(isset($_POST['sub'])){
		$data = array(
	       'name'                   => $_POST['name'],
		   'modified_on'	        => date('Y-m-d')
		); 
		$update_name = $this->registermodel->common_update('refund',$data,array('id' => 1));
		$this->session->set_flashdata('edit_return_policy_succ','Refund Policy updated successfully');
		return redirect('admin/register/refund');
    }
    $data['refund'] = $this->registermodel->common_fetch('refund',array());
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_refund',$data);
    $this->load->view('admin/includes/footer');
}
public function shipping(){
    if(isset($_POST['sub'])){
		$data = array(
	       'name'                   => $_POST['name'],
		   'modified_on'	        => date('Y-m-d')
		); 
		$update_name = $this->registermodel->common_update('shipping',$data,array('id' => 1));
		$this->session->set_flashdata('edit_shipping_succ','Shipping Policy updated successfully');
		return redirect('admin/register/shipping');
    }
    $data['shipping'] = $this->registermodel->common_fetch('shipping',array());
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_shipping',$data);
    $this->load->view('admin/includes/footer');
}
/*Content Pages*/

/*organization team*/
public function organization_team(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_organization_team');
    $this->load->view('admin/includes/footer');
}
/*organization team*/

/*product list*/
public function product_list(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_product_list');
    $this->load->view('admin/includes/footer');
}
/*product list*/

/*partner list*/
public function partner_list(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_partner_list');
    $this->load->view('admin/includes/footer');
}
/*partner list*/

/*location list*/
public function location_list(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_location_list');
    $this->load->view('admin/includes/footer');
}
/*location list*/

/*user control*/
public function user_control(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_user_control');
    $this->load->view('admin/includes/footer');
}
/*user control*/

/*products*/
public function products(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_products');
    $this->load->view('admin/includes/footer');
}
/*products*/

/*sales*/
public function sales(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_sales');
    $this->load->view('admin/includes/footer');
}
public function add_sale(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/add_sale');
    $this->load->view('admin/includes/footer');
}
public function timeline(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_timeline');
    $this->load->view('admin/includes/footer');
}
/*sales*/

/*finance*/
public function finance(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_finance');
    $this->load->view('admin/includes/footer');
}
/*finance*/

/*supportl1*/
public function supportl1(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_supportl1');
    $this->load->view('admin/includes/footer');
}
/*supportl1*/

/*supportl2*/
public function supportl2(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_supportl2');
    $this->load->view('admin/includes/footer');
}
/*supportl2*/

/*dp*/
public function dp(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_dp');
    $this->load->view('admin/includes/footer');
}
/*dp*/

/*management*/
public function management(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_management');
    $this->load->view('admin/includes/footer');
}
public function ceo(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_ceo');
    $this->load->view('admin/includes/footer');
}
public function sr_vp(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_sr_vp');
    $this->load->view('admin/includes/footer');
}
public function vp(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_vp');
    $this->load->view('admin/includes/footer');
}
public function avp(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_avp');
    $this->load->view('admin/includes/footer');
}
public function cm(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_cm');
    $this->load->view('admin/includes/footer');
}
public function bm(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_bm');
    $this->load->view('admin/includes/footer');
}
public function sp(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_sp');
    $this->load->view('admin/includes/footer');
}
public function add_management(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/add_management');
    $this->load->view('admin/includes/footer');
}public function edit_management(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/add_management');
    $this->load->view('admin/includes/footer');
}
/*management*/

/*payouts incentives*/
public function payouts_incentives(){
    $this->load->view('admin/includes/header');
    $this->load->view('admin/list_payouts_incentives');
    $this->load->view('admin/includes/footer');
}
/*payouts incentives*/
}
?>