<?php
class Registermodel extends CI_Model{
/*default functions*/
public function common_fetch($table,$where){
	$this->db->where($where);
	$this->db->order_by('id','desc');
	$query = $this->db->get($table);
	return $query->result_array();
}
public function common_fetch_rows($table,$where){
	$this->db->where($where);
	$this->db->order_by('id','desc');
	$query = $this->db->get($table); 
	return $query->num_rows();
}
public function common_insert($table,$data){
	$this->db->insert($table,$data);
	$id = $this->db->insert_id();
	return $id;
}
public function common_update($table,$data,$where){
	$this->db->where($where);
	$this->db->update($table,$data);
}
public function common_delete($table,$where){
	$this->db->where($where);
	$this->db->delete($table);
}
/*default functions*/

/*users*/
public function search_users($data){
    $this->db->like('name',$data['search']);    
    $this->db->order_by('id','desc');
    $query = $this->db->get('users');
    return $query->result_array();
}
/*users*/

/*buy sell shares*/
public function search_buy_shares($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('buy_shares');
    return $query->result_array();
}
public function search_cab_subscriptions($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('cab_subscriptions');
    return $query->result_array();
}public function search_sell_shares($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('sell_shares');
    return $query->result_array();
}
/*buy sell shares*/

/*Vehicle Data*/
public function search_vehicle_categories($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('vehicle_categories');
    return $query->result_array();
}
public function search_vehicle_brands($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('vehicle_brands');
    return $query->result_array();
}
public function search_vehicle_models($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('vehicle_models');
    return $query->result_array();
}
/*Vehicle Data*/

/*bloodbanks*/
public function search_bloodbanks($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('bloodbanks');
    return $query->result_array();
}
/*bloodbanks*/

/*services*/
public function search_services($data){
    if($data['type']=='petrol_bunks'){
        $this->db->like('name',$data['search']);
        $this->db->order_by('id','desc');
        $query = $this->db->get('petrol_bunks');
        return $query->result_array();
    }elseif($data['type']=='car_services'){
        $this->db->like('name',$data['search']);
        $this->db->order_by('id','desc');
        $query = $this->db->get('car_services');
        return $query->result_array();
    }elseif($data['type']=='bike_services'){
        $this->db->like('name',$data['search']);
        $this->db->order_by('id','desc');
        $query = $this->db->get('bike_services');
        return $query->result_array();
    }elseif($data['type']=='water_wash'){
        $this->db->like('name',$data['search']);
        $this->db->order_by('id','desc');
        $query = $this->db->get('water_wash');
        return $query->result_array();
    }
}
/*services*/

/*store*/
public function search_categories($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('store_categories');
    return $query->result_array();
}
public function search_products($data){
    $this->db->like('name',$data['search']);
    $this->db->order_by('id','desc');
    $query = $this->db->get('products');
    return $query->result_array();
}
/*store*/

}
?>